Bug 146930 - Bad automatic mouse acceleration factor and threshold settings.
Bad automatic mouse acceleration factor and threshold settings.
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-02 15:30 EST by Luke Simon
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-14 14:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Simon 2005-02-02 15:30:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I am using a Razor Diamondback mouse, which is a 1600dpi optical
mouse.  Apparently the OS automatically detects the mouse and tries to
automatically set the mouse acceleration factor and threshold. 
However, it sets the factor to 8/10 and the threshold to 2.  Hence
slow, small movements do not cause the mouse cursor to move at all!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plug in Diamondback mouse
2. boot computer
3. wait until X loads

Actual Results:  "xset q" says that the mouse acceleration scaling
factor is 8/10 and the acceleration threshold is 1.  This causes the
mouse to not move for small or slow movements.  Trying using gimp with
those settings!

Expected Results:  For such a high resolution mouse, it is probably
best to just disable acceleration.  There should be a method for
disabling this automatic acceleration setting "feature".

Additional info:

Acceleration was originally created when mice were very low
resolution.  Hence in order to be able to get the cursor from one end
of the screen to the next without having to repeatidly pick up and the
mouse and re-center it on your mouse pad, some kind of movement
scaling was required.

High resolution mice do not need this scaling and hence it should be
disabled when such a mouse is detected, or there should at least be an
option for doing so.  Imagine the automatic settings calculated for a
3200dpi mouse!  A scale factor of 4/10 and a threshold of 1?

I guess a workaround would be to put "xset 1 255" (is this the best
way to disale mouse acceleration?) in some startup script, but that
seems like a hack.  There should be a method for disabling automatic
acceleration configuration, and instead use whatever settings are
saved in an appropriate file, such as "/etc/X11/xorg.conf".
Comment 1 Mike A. Harris 2005-02-07 21:05:57 EST
This is more of a configuration issue than a bug in xorg-x11.

Reassigning to system-config-mouse as a feature request for
consideration in future OS releases.
Comment 2 Matthew Miller 2006-07-10 17:24:40 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Paul Nasrat 2006-08-14 14:29:03 EDT
system-config-mouse is no longer shipped.  If this is still an issue with FC6,
please refile against xorg as we now do automatic configuration.

Note You need to log in before you can comment on or make changes to this bug.